Bug 501534 - Screen periodically goes blank for ~1 second, even if user is not idle
Screen periodically goes blank for ~1 second, even if user is not idle
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-r128 (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-19 11:43 EDT by Jon Dufresne
Modified: 2014-09-29 10:15 EDT (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:36:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log (39.06 KB, text/plain)
2009-05-19 11:43 EDT, Jon Dufresne
no flags Details
X server log after screen blanking (97.91 KB, text/plain)
2009-07-09 22:28 EDT, Craig Routledge
no flags Details

  None (edit)
Description Jon Dufresne 2009-05-19 11:43:59 EDT
Created attachment 344640 [details]
Xorg.0.log

Description of problem:
I recently installed F11 and updated to latest. My screen will (seemingly randomly) go blank for a short while (0.5 to 1s) and then resume normally. This causes no disruption in my work and productivity other than the fact that I don't have my monitor available to me for ~1s. This happens at unpredictable times. About once every other day. I am using the r128 driver. lspci labels my device as "01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 Pro Ultra TF".

How reproducible:
The bug occurs at inconsistent intervals and is unpredictable however occurs several times a week.

$ rpm -qa xorg-*-r128
xorg-x11-drv-r128-6.8.0-3.fc11.i586
Comment 1 Bug Zapper 2009-06-09 12:06:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Thomas Vander Stichele 2009-06-24 10:39:41 EDT
I have the exact same problem, different driver (using the radeonhd driver).

I doubt it's the driver, I suspect gnome power manager.
Comment 3 Stephen R. Saucier 2009-06-24 15:08:38 EDT
I have this same problem, usually it occurs about 1-2 seconds after the display wakes up after having been asleep. I'm using the intel driver, and this was happening on fedora 10 also.
Comment 4 Josh Moline 2009-06-24 15:22:08 EDT
I experienced the 1 second flash of the display with Fedora 11 as well.  I never saw this with 10.  kmod-nvidia-185.14 from rpmfusion.  GeForce 6800 Ultra.

I wonder if it is related to:
<a href="https://bugzilla.redhat.com/show_bug.cgi?id=459323">
https://bugzilla.redhat.com/show_bug.cgi?id=459323
</a>

I fully agree with Thomas's assessment.
Comment 5 Tobias Mueller 2009-06-24 17:24:31 EDT
I have the same problem too, using F10 and the "ati" driver, which inturn loads the radeon module for my "ATI Radeon HD 3600 XT" (ChipID = 0x9598).
Comment 6 Chris Hubick 2009-06-25 00:58:09 EDT
I have a Dell 30" LCD on an nVidia 7800gtx which randomly goes to sleep while I am actively using the system.  If I don't touch the mouse it will stay asleep - and moving the mouse wakes it up and back to normal.
Comment 7 Boricua 2009-06-25 06:25:20 EDT
Same problem with my two F11 64 bit machines.  Happens the same with or without the latest nvidia driver in use.  Card in both is nvidia gforce 7200. For me it looks a lot like when the screensaver or the power manager starts.
Comment 8 Alex Butcher 2009-06-25 11:57:52 EDT
Possible dupe of Bug 500377 ?
Comment 9 Richard Schwarting 2009-06-28 00:13:51 EDT
Fedora 11, intel driver.  If you can tell me how to catch any useful data on this, I'll be glad to try.
Comment 10 Craig Routledge 2009-07-09 22:28:48 EDT
Created attachment 351206 [details]
X server log after screen blanking

I've seen almost 20kB of references to "Calling BlankCRTC" and related messages at the end of my (attached) Xorg.0.log.  The screen blanking has only occurred about 3 or 4 times.  Blanking started to occur after upgrade to F11.
Comment 11 André Mostert 2009-07-14 04:42:25 EDT
Seconding comment #4, looks like a dup of https://bugzilla.redhat.com/show_bug.cgi?id=459323

As a workaround I've turned off the screen saver on idle, and since then have not had the random blanking again.
Comment 12 André Mostert 2009-07-14 04:45:07 EDT
(In reply to comment #11)
> Seconding comment #4, looks like a dup of
> https://bugzilla.redhat.com/show_bug.cgi?id=459323
> 
> As a workaround I've turned off the screen saver on idle, and since then have
> not had the random blanking again.  

I meant to say comment #8, dup of  https://bugzilla.redhat.com/show_bug.cgi?id=500377
Comment 13 Michael Cronenworth 2009-07-21 00:59:00 EDT
If everyone is in agreement, I think this bug is a dupe of bug 499061.
Comment 14 Chris Hubick 2009-07-21 01:15:00 EDT
Bug 499061 specifically mentions that, despite settings, blanking occurs after two minutes of *idle* time - whereas I am experiencing screen blanking even right in the midst of keyboard/mouse use.
Comment 15 Michael Cronenworth 2009-07-21 01:26:58 EDT
Chris, it seems more random than a set amount of time. I've seen it without using keyboard+mouse (before my screensaver timeout) and I've seen it while typing and moving the mouse. The symptoms of this bug, bug 500377, and bug 499061 are all nearly exactly the same. I don't think idle time is a factor.
Comment 16 Anton Arapov 2009-07-29 03:48:18 EDT
  I have the same problem, with: nehalem box with nvidia, lenovo x200 with intel graphics and acer laptop with nvidia.
  Have no idea what triggers the blanking, it can happen during the activity or when hardware is inactive. :( It could be dupe either 500377 or 499061.
Comment 17 Anton Arapov 2009-07-29 03:50:10 EDT
and seems all of the mentioned bugs here and this one are dupes of bug 501534.
Comment 18 Anton Arapov 2009-07-29 03:50:31 EDT
oops, I meant bug 501601 ...
Comment 19 Bradley J. Willson 2009-08-06 16:59:26 EDT
Same problems here, totally random and unprovoked screen blanking on an x86 FC11 desktop with NVidia chips and an x86_64 FC11 laptop with Intel graphics.  My guess is gdm, not power management as it happens with or without power management running.
Comment 20 Michael Cronenworth 2009-08-06 17:07:48 EDT
(In reply to comment #19)
> My guess is gdm, not power management as it happens with or without power
> management running.  

Even though you have gnome-power-manager off it could be DeviceKit using DPMS on your monitor to turn it off, couldn't it? I'm still thinking this is a dupe of bug 499061.

After setting the display sleep timeout to "Never" in gpm, I haven't seen my screen blank. It's been two weeks since I've changed that setting and several reboots. Try setting your display sleep to "Never."
Comment 21 Bradley J. Willson 2009-08-06 17:15:59 EDT
I'll concede it might be gpm. Although my setting was the default 30 minutes, it happened at random times, with activity.  I have set sleep to never...we'll see how it goes...
Comment 22 Robert Binkhorst 2009-08-10 05:27:49 EDT
I also have the same issue, running F11 x86_64 and using Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller rev 12. I've set my display sleep to never and will see if it reoccurs.
Comment 23 Jesus M. Rodriguez 2009-08-10 10:01:33 EDT
Same problem here:

uname -a
Linux hostname 2.6.29.6-217.2.3.fc11.x86_64 #1 SMP Wed Jul 29 16:02:42 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux


xorg-x11-drv-nvidia-libs-185.18.31-1.fc11.x86_64
kmod-nvidia-2.6.29.6-213.fc11.x86_64-185.18.29-1.fc11.x86_64
kmod-nvidia-185.18.31-1.fc11.x86_64
kmod-nvidia-2.6.29.6-217.2.3.fc11.x86_64-185.18.31-1.fc11.x86_64
xorg-x11-drv-nvidia-185.18.31-1.fc11.x86_64

Dell Precision WorkStation T5400 with dual 20" LCDs running @ 1600x1200.

gnome-power-manager-2.26.3-1.fc11.x86_64

and compiz enabled:
compiz-0.7.8-19.fc11.x86_64
compiz-fusion-0.7.8-8.fc11.x86_64
compiz-fusion-gnome-0.7.8-8.fc11.x86_64
compiz-gnome-0.7.8-19.fc11.x86_64
Comment 24 Tomi Pitkonen 2009-08-29 19:36:42 EDT
Same error happens on my desktop pc (HP Pavillion a6228.ac - nvidia) and one of my laptops IBM T43.
Comment 25 Arnaud Kleinveld 2009-09-03 03:37:06 EDT
I have the same problem with the Intel i915 driver. Because I use my laptop for presentations it can be disturbing. If I move my mouse the screen comes back.
Comment 26 Arnaud Kleinveld 2009-09-03 05:50:06 EDT
(In reply to comment #25)
Additionally I noticed that the screen doesn't go completely black but dims for something like 95%.

The last time it happened the screen didn't came back until I changed the screen lightness.
Comment 27 Denys Vlasenko 2009-09-03 14:23:08 EDT
I observe the same since I installed F11 on my Lenovo T61.

# lspci
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
Comment 28 Arnaud Kleinveld 2009-09-08 07:19:19 EDT
My system now also randomly suspends :(

I do have updated my system yesterday with all 50 available updates. No available updates today.
Comment 29 Matěj Cepl 2009-11-05 13:29:34 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 30 Theodore Lee 2009-11-06 07:10:08 EST
I've encountered this issue quite frequently in the past, but I don't seem to recall seeing it recently (not for a few weeks at the very least). I'm on an (almost) up-to-date F11 install (Intel graphics) with the testing repository enabled.

My apologies for the vague time frame - I really need to remember to write this stuff down somewhere. :P
Comment 31 Arnaud Kleinveld 2009-11-07 04:03:29 EST
My screen still randomly goes blank. I can restore it by increasing the screen brightness with one time pressing Fn + cursor-up.

My system is up-to-date with X11 patches.
Comment 32 Matěj Cepl 2010-02-26 07:13:56 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 33 Denys Vlasenko 2010-02-26 08:41:35 EST
Works for me for months.
Comment 34 Chris Bredesen 2010-02-26 08:54:37 EST
No issues here for months either.  F12 32 / intel / KMS enabled.
Comment 35 Richard Schwarting 2010-02-26 11:14:28 EST
I couldn't take all the deadlocks in X (an infinite loop problem of some sort in another bug) anymore so I switched to the vesa driver for a few months.  Trying the intel driver for the last two weeks though has been flawless.  Hurrah.
Comment 36 Arnaud Kleinveld 2010-02-26 21:18:36 EST
My system still has the problem. As I describe in my comment #31. I'm running an updated F11 system. I'm not planning to upgrade to F12 (yet). What can I do to help solve this problem?
Comment 37 Bug Zapper 2010-04-27 10:24:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 38 Bug Zapper 2010-06-28 08:36:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 39 Jon Dufresne 2014-09-29 10:15:51 EDT
I no longer experience this issue. Removing NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.